'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: c_005_.inc,v $
'*
'*  $Revision: 1.1.1.1.4.1 $
'*
'*  last change: $Author: pj $ $Date: 2003/09/02 17:18:25 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : peter.junge@Sun.COM
'*
'* short description : Check the resources for menu item Format
'*
'\************************************************************************
'*
' #1 C_005_ ' Initial routine
' #1 tFormatStandard
' #1 tFormatCharacter
' #1 tFormatCell
' #1 tFormatRowHeight
' #1 tFormatRowOptimalHeight
' #1 tFormatRowHideShow
' #1 tFormatColumnWidth
' #1 tFormatColumnOptimalWidth
' #1 tFormatColumnHideShow
' #1 tFormatRenameTable
' #1 tFormatTableHideShow
' #1 tFormatSummarizeCells
' #1 tFormatPage
' #1 tFormatPrinterRange
' #1 tFormatPrinterRangeEdit
' #1 tFormatTemplatecatalogCells
' #1 tFormatTemplatecatalogPage
' #1 tFormatTemplatecatalogNew
' #1 tFormatStylist
' #1 tFormatAutoformat
' #1 tFormatConditionalFormatting
'*
'\************************************************************************

sub C_005_

Printlog Chr(13) + "--------- C_005_ ---------"

    Call tFormatStandard
    Call tFormatCharacter
    Call tFormatCell
    Call tFormatRowHeight
    Call tFormatRowOptimalHeight
    Call tFormatRowHideShow
    Call tFormatColumnWidth
    Call tFormatColumnOptimalWidth
    Call tFormatColumnHideShow
    Call tFormatRenameTable
    Call tFormatTableHideShow
    Call tFormatSummarizeCells
    Call tFormatPage
    Call tFormatPrinterRange
    Call tFormatPrinterRangeEdit
    Call tFormatTemplatecatalogCells
    Call tFormatTemplatecatalogPage
    Call tFormatTemplatecatalogNew
    Call tFormatStylist
    Call tFormatAutoformat
    Call tFormatConditionalFormatting

End sub
'
'-----------------------------------------------------------
'
testcase tFormatStandard

    Call  hNewDocument
    call ZellenMarkieren (13,13)
    FormatDefaultCalc
    Kontext "DocumentCalc"
    Call hCloseDocument

endcase
'
'-----------------------------------------------------------
'
testcase tFormatCharacter
    call hNewDocument
    Kontext "DocumentCalc"
      DocumentCalc.typekeys "a"
      FormatCharacter
      Kontext
        active.SetPage TabFont
        kontext "TabFont"
          Call DialogTest ( TabFont )
      Kontext
        active.SetPage TabFontEffects
        kontext "TabFontEffects"
          Call DialogTest ( TabFontEffects )
      Kontext
        active.SetPage TabFontPosition
        Kontext "TabFontPosition"
          Call DialogTest ( TabFontPosition )
          TabFontPosition.Close
   
    Call hCloseDocument
endcase
'
'----------------------------------------------------------------------------
'
testcase tFormatCell

    hNewDocument
    FormatCells

    Kontext
    active.SetPage TabZahlen
    Kontext "TabZahlen"
    Call DialogTest ( TabZahlen )

    Kontext
    active.SetPage TabFont
    Kontext "TabFont"
    Call DialogTest ( TabFont )

    Kontext
    active.SetPage TabFontEffects
    Kontext "TabFontEffects"
    Call DialogTest ( TabFontEffects )

        try
        Kontext
        active.SetPage TabAsianTypography
        Kontext "TabAsianTypography"
        Call DialogTest ( TabAsianTypography )
    catch
        printlog "Asian Language support isn't switched on"
    endcatch

    Kontext
    active.SetPage TabAusrichtung
    Kontext "TabAusrichtung"
    Call DialogTest ( TabAusrichtung )

    Kontext
    active.SetPage TabUmrandung
    Kontext "TabUmrandung"
    Call DialogTest ( TabUmrandung )

    Kontext
    active.SetPage TabHintergrund
    Kontext "TabHintergrund"
    Call DialogTest ( TabHintergrund )

    Kontext
    active.SetPage TabZellschutz
    Kontext "TabZellschutz"
    Call DialogTest ( TabZellschutz )

    TabZellschutz.Close
    hCloseDocument

endcase
'
'----------------------------------------------------------------------------
'
testcase tFormatRowHeight

    Call  hNewDocument
    FormatRowHeightCalc
    Kontext "ZeilenHoehe"
    DialogTest ( ZeilenHoehe )
    ZeilenHoehe.Close
    Call hCloseDocument

endcase
'
'----------------------------------------------------------------------------
'
testcase tFormatRowOptimalHeight

    Call  hNewDocument
    FormatRowOptimalHeightCalc
    Kontext "ZeileOptimaleHoehe"
    DialogTest ( ZeileOptimaleHoehe )
    ZeileOptimaleHoehe.Cancel
    Call hCloseDocument

endcase
'
'-----------------------------------------------------------
'
testcase tFormatRowHideShow

    Call  hNewDocument
    FormatRowHide
    EditSelectAll
    FormatRowShow
    Kontext "DocumentCalc"
    Call hCloseDocument

endcase
'
'----------------------------------------------------------------------------
'
testcase tFormatColumnWidth

    Call  hNewDocument
    FormatColumnWidthCalc
    Kontext "SpaltenBreiteCalc"
    DialogTest ( SpaltenBreiteCalc )
    SpaltenBreiteCalc.Cancel
    Call hCloseDocument

endcase
'
'----------------------------------------------------------------------------
'
testcase tFormatColumnOptimalWidth

    Call  hNewDocument
    FormatColumnOptimalWidthCalc
    Kontext "SpalteOptimaleBreite"
    DialogTest ( SpalteOptimaleBreite )
    SpalteOptimaleBreite.Cancel
    Call hCloseDocument

endcase
'
'-----------------------------------------------------------
'
testcase tFormatColumnHideShow

    Call  hNewDocument
    FormatColumnHide
    EditSelectAll
    FormatColumnShow
    Kontext "DocumentCalc"
    Call hCloseDocument

endcase
'
'----------------------------------------------------------------------------
'
testcase tFormatRenameTable

    Call  hNewDocument
    FormatSheetRename
    Kontext "TabelleUmbenennen"
    DialogTest ( TabelleUmbenennen )
    TabelleUmbenennen.Cancel
    Call hCloseDocument

endcase
'
'----------------------------------------------------------------------------
'
testcase tFormatTableHideShow

    Call  hNewDocument
    InsertSheetCalc
    Kontext "TabelleEinfuegenCalc"
    TabelleEinfuegenCalc.OK

    FormatSheetHide
    FormatSheetShow

    Kontext "TabelleEinblenden"
    DialogTest ( TabelleEinblenden )
    TabelleEinblenden.Cancel
    Kontext "DocumentCalc"
    DocumentCalc.TypeKeys "<Return>"
    Kontext "DocumentCalc"
    Call hCloseDocument

endcase
'
'-----------------------------------------------------------
'
testcase tFormatSummarizeCells

    Call  hNewDocument
    Call ZellenMarkieren ( 2, 2 )
    FormatMergeCellsDefine
    FormatMergeCellsRemove
    Kontext "DocumentCalc"
    Call hCloseDocument

endcase
'
'----------------------------------------------------------------------------
'
testcase tFormatPage

    call hNewDocument
    FormatPageCalc

    Kontext
    active.SetPage TabVerwalten
    Kontext "TabVerwalten"
    Printlog "TabOrganize"
    Call DialogTest ( TabVerwalten )

    Kontext
    active.SetPage TabSeite
    Kontext "TabSeite"
    Printlog "TabPage"
    Call DialogTest ( TabSeite )
    
    Kontext
    active.SetPage TabUmrandung
    Kontext
     Printlog "Check for '...Margin ... out of print range' message."
     if Active.Exists(2) then
      if Active.GetRT = 304 then
        Printlog Active.GetText
        Active.Yes
      end if
     end if
    Kontext "TabUmrandung"
    Printlog "TabBorder"
    Call DialogTest ( TabUmrandung )

    Kontext
    active.SetPage TabHintergrund
    Kontext "TabHintergrund"
    Printlog "TabBackground"
    Call Dialogtest (TabHintergrund)

    Kontext
    active.SetPage TabKopfzeile
    Kontext "TabKopfzeile"
    Printlog "TabHeader"
    Call DialogTest ( TabKopfzeile )
    Zusaetze.Click

    Kontext
    Active.SetPage TabUmrandung
    Kontext "TabUmrandung"
    printlog "TabHeaderBorder"
    Call DialogTest (TabUmrandung)

    Kontext
    active.SetPage TabHintergrund
    Kontext "TabHintergrund"
    printlog "TabHeaderBackground"
    call DialogTest2 (TabHintergrund,1)
    als.select 2
    call DialogTest2 (TabHintergrund,2)
    TabHintergrund.Cancel

    Kontext "TabKopfzeile"
    InhaltLinksRechtsGleich.Check
    Bearbeiten.Click

    Kontext "TabKopfzeileCalc"
    Call DialogTest ( TabKopfzeileCalc )
    TextAttribute.Click

    Kontext
    Active.setpage TabFont
    Kontext "TabFont"
    printlog "TabHeaderFont"
    Call DialogTest (TabFont)

    Kontext
    Active.setpage TabFontEffects
    Kontext "TabFontEffects"
    printlog "TabHeaderFontEffects"
    Call DialogTest (TabFontEffects)

    Kontext
    Active.setpage TabFontPosition
    Kontext "TabFontPosition"
    printlog "TabHeaderFontPosition"
    Call DialogTest (TabFontPosition)
    TabFontPosition.Cancel

    try

        Kontext "TabKopfzeileCalc"
            TabKopfzeileCalc.Cancel
        Kontext "TabKopfzeile"
                kontext
        active.SetPage TabFusszeile
        Kontext "TabFusszeile"
        DialogTest (TabFusszeile)
        printlog "TabFooter"

        Zusaetze.Click

        Kontext
        Active.SetPage TabUmrandung
        Kontext "TabUmrandung"
        printlog "TabFooterBorder"
        Call DialogTest (TabUmrandung)

        Kontext
        active.SetPage TabHintergrund
        Kontext "TabHintergrund"
        printlog "TabFooterBackground"
        call DialogTest2 (TabHintergrund,1)
        als.select 2
        call DialogTest2 (tabHintergrund,2)
        TabHintergrund.Cancel

        Kontext "TabFusszeile"
        InhaltLinksRechtsGleich.Check
        Bearbeiten.Click

        Kontext "TabFusszeileCalc"
        Call DialogTest ( TabFusszeileCalc )
        TextAttribute.Click
        Kontext
        Active.setpage TabFont
        Kontext "TabFont"
        printlog "TabFooterFont"
        Call DialogTest (TabFont)
        Kontext
        Active.setpage TabFontEffects
        Kontext "TabFontEffects"
        printlog "TabFooterFontEffects"
        Call DialogTest (TabFontEffects)
        Kontext
        Active.setpage TabFontPosition
        Kontext "TabFontPosition"
        printlog "TabFooterFontPosition"
        Call DialogTest (TabFontPosition)
        TabFontPosition.Cancel
        Kontext "TabFusszeileCalc"
        TabFusszeileCalc.Cancel

        Kontext "TabFusszeile"
    catch
        warnlog "For not comprehensible reasons, the switch to the tabpage 'TabFusszeile' isn't available"
        warnlog "in the language " & iSprache
    endcatch

    Kontext
    active.SetPage TabTabelleCalc
    printlog "TabSheetCalc"
    DialogTest (TabTabelleCalc)

    TabTabelleCalc.Close
        call hCloseDocument

endcase
'
'-----------------------------------------------------------
'
testcase tFormatPrinterRange

    Call  hNewDocument
    FormatPrintRangesDefine
    FormatPrintRangesRemove
    Kontext "DocumentCalc"
    Call hCloseDocument

endcase
'
'----------------------------------------------------------------------------
'
testcase tFormatPrinterRangeEdit

    Call  hNewDocument
    FormatPrintRangesEdit
    Kontext "DruckbereicheBearbeiten"
    DialogTest ( DruckbereicheBearbeiten )
    DruckbereicheBearbeiten.Cancel
    Call hCloseDocument

endcase
'
'----------------------------------------------------------------------------
'
testcase tFormatTemplatecatalogCells
 Dim i as integer
  Call  hNewDocument
    FormatStylesCatalog
    Kontext "Vorlagenkatalog"
     printlog "Style catalog"
     printlog "select 1 (cell styles)"
     Vorlagen.Select(1)
     DialogTest ( Vorlagenkatalog )
  for i = 1 to 2
    if i = 1 then
      printlog "- New"
      Kontext "Vorlagenkatalog"
       Neu.Click
     else
      printlog "- Modify"
      Kontext "Vorlagenkatalog"
       Aendern.Click
    end if
    Kontext
     active.SetPage TabVerwalten
     printlog " +- Tab Organizer"
    Kontext "TabVerwalten"
     Call DialogTest ( TabVerwalten )
    Kontext
     active.SetPage TabZahlen
     printlog " +- Tab Numbers"
     Kontext "TabZahlen"
     Call DialogTest ( TabZahlen )
    Kontext
     active.SetPage TabFont
     printlog " +- Tab Font"
    Kontext "TabFont"
     Call DialogTest ( TabFont )
    Kontext
     active.SetPage TabAusrichtung
     printlog " +- Tab Alignment"
    Kontext "TabAusrichtung"
     Call DialogTest ( TabAusrichtung )
    Kontext
     active.SetPage TabUmrandung
     printlog " +- Tab Borders"
    Kontext "TabUmrandung"
     Call DialogTest ( TabUmrandung )
    Kontext
     active.SetPage TabHintergrund
     printlog " +- Tab Background"
    Kontext "TabHintergrund"
     Call DialogTest ( TabHintergrund )
    Kontext
     active.SetPage TabZellschutz
     printlog " +- Tab Cell Protection"
    Kontext "TabZellschutz"
     Call DialogTest ( TabZellschutz )
     TabZellschutz.Cancel
  next i
    Kontext "Vorlagenkatalog"
     Vorlagenkatalog.Close
   Call hCloseDocument
endcase
'
'-------------------------------------------------------------------------
'
testcase tFormatTemplatecatalogPage
 Dim i as integer
  Call  hNewDocument
    FormatStylesCatalog
    Kontext "Vorlagenkatalog"
     printlog "Style catalog"
     printlog "select 2 (page styles)"
     Vorlagen.Select(2)
  for i = 1 to 2
    if i = 1 then
      printlog "- New"
      Kontext "Vorlagenkatalog"
       Neu.Click
     else
      printlog "- Modify"
      Kontext "Vorlagenkatalog"
       Aendern.Click
    end if
    Kontext
     active.SetPage TabSeite
     printlog " +- Tab Organizer"
    Kontext "TabSeite"
     Call DialogTest ( TabSeite )
    Kontext
     active.SetPage TabVerwalten
    Kontext
     ' if there is no printer in the system you will get an error
     if Active.Exists(2) then
      if Active.GetRT = 304 then
        Printlog Active.GetText
        Active.No
        sleep(2)
      end if
     end if
     printlog " +- Tab Page"
    Kontext "TabVerwalten"
     Call DialogTest ( TabVerwalten )
    Kontext
     active.SetPage TabUmrandung
    Kontext
     ' if there is no printer in the system you will get an error
     if Active.Exists then
      if Active.GetRT = 304 then
        warnlog Active.GetText
        Active.No
      end if
     end if
     printlog " +- Tab Borders"
    Kontext "TabUmrandung"
     Call DialogTest ( TabUmrandung )
    Kontext
     active.SetPage TabHintergrund
     printlog " +- Tab Background"
    Kontext "TabHintergrund"
     Call DialogTest2 ( TabHintergrund, 1 )
     als.select(2)
     Call DialogTest2 ( TabHintergrund, 2 )
    Kontext
     active.SetPage TabKopfzeile
     printlog " +- Tab Header"
    Kontext "TabKopfzeile"
     Call DialogTest ( TabKopfzeile )
     Zusaetze.Click
    Kontext
     Active.SetPage TabUmrandung
     printlog " +- Tab Borders"
    Kontext "TabUmrandung"
     Call DialogTest (TabUmrandung)
    Kontext
     active.SetPage TabHintergrund
     printlog " +- Tab background"
    Kontext "tabHintergrund"
     call DialogTest2 (TabHintergrund,1)
     als.select 2
     call DialogTest2 (tabHintergrund,2)
     TabHintergrund.Cancel
    Kontext "TabKopfzeile"
     printlog "  +- Edit"
     Bearbeiten.Click
    Kontext "TabKopfzeileCalc"
     Call DialogTest ( TabKopfzeileCalc )
     printlog "  +- Click 'text attributes'"
     TextAttribute.Click
     Kontext
       Active.setpage TabFont
       printlog "   +- Tab Font"
      Kontext "TabFont"
       Call DialogTest (TabFont)
      Kontext
       Active.setpage TabFontEffects
       printlog "   +- Tab Fonteffects"
      Kontext "TabFontEffects"
       Call DialogTest (TabFontEffects)
      Kontext
       Active.setpage TabFontPosition
       printlog "   +- Tab Fontposition"
      Kontext "TabFontPosition"
       Call DialogTest (TabFontPosition)
       TabFontPosition.Cancel
      Kontext "TabKopfzeileCalc"
       TabKopfzeileCalc.Cancel
       try
        Kontext "TabKopfzeile"
        Kontext
         active.SetPage TabFusszeile
         printlog "   +- Tab Footnote"
        Kontext "TabFusszeile"
         Call DialogTest (TabFusszeile)
         Zusaetze.Click
        Kontext
         Active.SetPage TabUmrandung
         printlog "   +- Tab Borders"
        Kontext "TabUmrandung"
         Call DialogTest (TabUmrandung)
        Kontext
         active.SetPage TabHintergrund
         printlog "   +- Tab Background"
        Kontext "tabHintergrund"
         call DialogTest2 (TabHintergrund,1)
         als.select(2)
         call DialogTest2 (tabHintergrund,2)
         TabHintergrund.Cancel
        Kontext "TabFusszeile"
         Bearbeiten.Click
         printlog "   +- Edit"
        Kontext "TabFusszeileCalc"
         printlog "   +- Tab Footnotes"
         Call DialogTest ( TabFusszeileCalc )
         TextAttribute.Click
        Kontext
         Active.setpage TabFont
         printlog "   +- Tab Font"
        Kontext "TabFont"
         Call DialogTest (TabFont)
        Kontext
         Active.setpage TabFontEffects
         printlog "   +- Tab Fonteffects"
        Kontext "TabFontEffects"
         Call DialogTest (TabFontEffects)
        Kontext
         Active.setpage TabFontPosition
         printlog "   +- Tab Fontposition"
        Kontext "TabFontPosition"
         Call DialogTest (TabFontPosition)
         TabFontPosition.Cancel
        Kontext "TabFusszeileCalc"
         printlog "   +- Tab Footnotes"
         TabFusszeileCalc.Cancel
        Kontext "TabFusszeile"
       catch
        warnlog "For not comprehensible reasons, the switch to the tabpage 'TabFusszeile' isn't available"
        warnlog "in the language " & iSprache
       endcatch
    Kontext
     active.SetPage TabTabelleCalc
     printlog "   +- Tab FontTable"
    Kontext "TabTabelleCalc"
     DialogTest (TabTabelleCalc)
     TabTabelleCalc.Cancel
  next i
    Kontext "Vorlagenkatalog"
     Verwalten.Click
     printlog "- Organize"
    Kontext "DVVerwalten"
     DialogTest ( DVVerwalten )
     DVVerwalten.Close
    Kontext "Vorlagenkatalog"
     try
       Vorlagen.Select(1)
       Vorlagenkatalog.Close
       printlog "Dialog Template Catalog closed after TemplatesOrganize"
      catch
       printlog "Dialog Template Catalog closed with TemplatesOrganize"
     endcatch
   Call hCloseDocument
endcase
'
'----------------------------------------------------------------------------
'
testcase tFormatTemplatecatalogNew

    Call hNewDocument
    FormatStylesCatalog
    Kontext "Vorlagenkatalog"
    DialogTest ( Vorlagenkatalog )
    Aendern.Click
    Kontext

    active.SetPage TabVerwalten
    Printlog "TabVerwalten"
    Kontext "TabVerwalten"
    Call DialogTest ( TabVerwalten )

    Kontext
    active.SetPage TabZahlen
    Printlog "TabZahlen"
    Kontext "TabZahlen"
    Call DialogTest ( TabZahlen )

    Kontext
    active.SetPage TabFont
    Printlog "TabFont"
    Kontext "TabFont"
    Call DialogTest ( TabFont )

    Kontext
    active.SetPage TabAusrichtung
    Printlog "TabAusrichtung"
    Kontext "TabAusrichtung"
    Call DialogTest ( TabAusrichtung )

    Kontext
    active.SetPage TabUmrandung
    Printlog "TabUmrandung"
    Kontext "TabUmrandung"
    Call DialogTest ( TabUmrandung )

    Kontext
    active.SetPage TabHintergrund
    Printlog "TabHintergrund"
    Kontext "TabHintergrund"
    Call DialogTest ( TabHintergrund )

    Kontext
    active.SetPage TabZellschutz
    Printlog "TabZellschutz"
    Kontext "TabZellschutz"
    Call DialogTest ( TabZellschutz )

    TabZellschutz.Cancel

    Kontext
    Vorlagenkatalog.Close
    Call hCloseDocument

endcase

'
'----------------------------------------------------------------------------
'
testcase tFormatStylist

    Call  hNewDocument

    FormatStylist
    Kontext "Gestalter"
    if Gestalter.notexists (2) then FormatStylist
    Kontext "Gestalter"
    Zellvorlagen.Click
    DialogTest2 (Gestalter,1)
    try
        Seitenvorlagen.Click
        DialogTest2 ( Gestalter,2 )
        AusSelektion.Click
        Kontext "VorlageErzeugen"
        DialogTest ( VorlageErzeugen )
        VorlageErzeugen.Cancel
    catch
        warnlog "No page styles available, could be bug:99070"
    endcatch
    Kontext "Gestalter"
    Gestalter.Close

    Call hCloseDocument

endcase
'
'----------------------------------------------------------------------------
'
testcase tFormatAutoformat

    Call  hNewDocument

    call ZellenMarkieren (13,13)
    FormatAutoformat

    Kontext "AutoformatCalc"
    Zusaetze.Click
    Call DialogTest ( AutoformatCalc )
    Einfuegen.Click
    Kontext "AutoFormatHinzufuegenCalc"
    Call DialogTest ( AutoFormatHinzufuegenCalc)
    AutoFormatHinzufuegenCalc.Close
    Kontext "AutoformatCalc"
    AutoformatCalc.Cancel

    Call hCloseDocument

endcase
'
'----------------------------------------------------------------------------
'
testcase tFormatConditionalFormatting

    Call  hNewDocument
    FormatConditionalFormatting
    Kontext "BedingteFormatierung"
    printlog "Textfield1: " & TextField1.getText
    TextField1.setText "0"
    printlog "Textfield1: " & TextField1.getText
    PopupList1.select 2
    Bedingung2.Check
    Kontext "BedingteFormatierung"
    BedingteFormatierung.close

    Call hCloseDocument

endcase
'
'----------------------------------------------------------------------------
'

