'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: im_003_.inc,v $
'*
'*  $Revision: 1.2 $
'*
'*  last change: $Author: jsi $ $Date: 2003/07/08 07:41:48 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*****************************************************************
'*
'* Owner : fredrik.haegg@sun.com
'*
'* short description : Impress Update Test Library (3)
'*
'\*****************************************************************

sub im_003_
   printLog Chr(13) + "--------- im_003_     ----------"

    Call tiViewMasterView
    Call tiViewSlideMaster
'TODO: TBO not necessary here, move to level1 
    Call tiViewToolbar_1
end sub

testcase tiViewMasterView
'/// open application ///'
   Call hNewDocument
'/// View->Master View->Drawing View ///'
   sleep 1
   ViewMasterviewDrawing
'     Wait 2000
'     Kontext "DocumentImpress"
'     gMouseClick 70,70
     sleep 5
'/// View->Master View->Outline View ///'
   ViewMasterviewOutline
'     Wait 2000
'     Kontext "DocumentImpressOutlineView"
'     DocumentImpressOutlineView.MouseDown 70,70
'     DocumentImpressOutlineView.MouseUp 70,70
     sleep 1
'/// View->Master View->Slides View ///'
   ViewMasterviewSlides
'     Wait 2000
'     Kontext "DocumentImpressSlideView"
'     DocumentImpressSlideView.MouseDown 70,70
'     DocumentImpressSlideView.MouseUp 70,70
     sleep 1
'/// View->Master View->Notes View ///'
   ViewMasterviewNotes
      sleep 1
'/// View->Master View->Handout View ///'
   ViewMasterviewHandout
      sleep 1
'/// View->Master View->Drawing View ///'
   ViewMasterviewDrawing
'/// close application ///'
      sleep 1
   Call hCloseDocument
endcase

testcase tiViewSlideMaster
'/// open application with : File->Autopilot->Presentation; OK; OK ///'
'   Call  hNewDocument
      FileAutopilotPresentation                ' to get a title :-)
      sleep 2
      Kontext "AutopilotPraesentation1"
      AutopilotPraesentation1.Ok
      sleep 1
      Kontext "Seitenlayout"
      Seitenlayout.OK
   sleep 1
'/// View->Slide ///'
   ViewSlide
   Sleep 1
'/// View->Master->Drawing ///'
   ViewBackgroundDrawing
   Sleep 1
'/// View->Slide ///'
   ViewSlide
   Sleep 1
'/// View->Master->Title ///'
   ViewBackgroundTitle
   Sleep 1
'/// View->Slide ///'
   ViewSlide
   Sleep 1
'/// View->Master->Handout ///'
   ViewBackgroundHandout
   Sleep 1
'   ViewSlide
   Sleep 1
'/// View->Master->Notes ///'
   ViewBackgroundNotes
   kontext "DocumentImpress"
   Sleep 1
'/// View->Slide ///'
   ViewSlide
   Sleep 1
'/// close application ///'
   Call  hCloseDocument
endcase

testcase tiViewToolbar_1
  Dim Zaehler as integer
  Dim i as integer

'/// open application ///'
 Call hNewDocument
  sleep 2
'/// Insert->Graphic... : "global\input\graf_inp\desp.bmp" ///'
  InsertGraphicsFromFile
  sleep 2
   Kontext "GrafikEinfuegenDlg"
   sleep 1
   Dateiname.SetText ConvertPath (gTesttoolPath + "global\input\graf_inp\desp.bmp")
   sleep 1
   Oeffnen.Click
   sleep 3
   Kontext "Messagebox"
    if Messagebox.Exists then
      Warnlog Messagebox.GetText
      Messagebox.OK
    end if
   Kontext "DocumentImpress"
'/// select graphic <STRG + A> ///'
   DocumentImpress.TypeKeys "<MOD1 A>"
   sleep 2
   Kontext "OL_SDD_Grafik"
    sleep 1
'/// The Graphics Toolbar has to be visible now; If not -> ERROR ///'
    if OL_SDD_Grafik.Exists Then
       Printlog "- graphic object toolbar exists"
       Zaehler=Grafikmodus.GetItemCount
       for i = 1 to Zaehler
           Printlog "- access all controls in the toolbar (" +i+"/"+Zaehler+")"
           Grafikmodus.Select i
           sleep 3
       next i
       sleep 3
    else
       Warnlog "- No graphic function toolbar visible"
    end if
'/// close application ///'
  Call hCloseDocument
endcase


