'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: c_004_.inc,v $
'*
'*  $Revision: 1.2.4.1 $
'*
'*  last change: $Author: pj $ $Date: 2003/09/02 17:18:23 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*************************************************************************************************
'*
'* owner : peter.junge@sun.com
'*
'* short description : Check all resources for menuitem Insert - Part 1
'*
'*************************************************************************************************
'*
' #1 C_004_ ' Inital routine
' #1 tInsertManualRowBreak
' #1 tInsertManualColumnBreak
' #1 tInsertCells
' #1 tInsertRows
' #1 tInsertColumns
' #1 tInsertTable
' #1 tInsertExternalData
' #1 tInsertFunction
' #1 tInsertFunctionList 
' #1 tInsertNameDefine
' #1 tInsertNameInsert
' #1 tInsertNameCreate
' #1 tInsertNameLabels
' #1 tInsertNote
' #1 tInsertSpecialCharacter
' #1 tInsertGraphicFromFile
' #1 tInsertChart
' #1 tInsertFormula
' #1 tInsertFrame
' #1 tInsertObjectOLE
' #1 tInsertObjectPlugin
' #1 tInsertObjectApplet
'*
'\************************************************************************************************

sub C_004_

Printlog "--------- C_004_ ---------"

    Call tInsertManualRowBreak
    Call tInsertManualColumnBreak
    Call tInsertCells
    Call tInsertRows
    Call tInsertColumns
    Call tInsertTable
    Call tInsertExternalData
    Call tInsertFunction
    Call tInsertFunctionList 
    Call tInsertNameDefine
    Call tInsertNameInsert
    Call tInsertNameCreate
    Call tInsertNameLabels
    Call tInsertNote
    Call tInsertSpecialCharacter
    call tInsertGraphicFromFile
    Call tInsertChart
    Call tInsertFormula
    Call tInsertFrame
    Call tInsertObjectOLE
    Call tInsertObjectPlugin
    Call tInsertObjectApplet

end sub

'
'-----------------------------------------------------------
'
testcase tInsertManualRowBreak

    Call hNewDocument

    DocumentCalc.Typekeys "<Down><Down><Down>"
    InsertManuelBreakRowBreak
    wait 50
    EditRemoveManualBreakRowBreak
    wait 50

    Call hCloseDocument

endcase
'
'-----------------------------------------------------------
'
testcase tInsertManualColumnBreak

    Call  hNewDocument
    DocumentCalc.Typekeys "<Right><Right><Right>"
    InsertManuelBreakColumnBreak
    wait 50
    EditRemoveManualBreakColumnBreak

    Call hCloseDocument

endcase
'
'---------------------------------------------------------------------------
'
testcase tInsertCells

    call  hNewDocument

    InsertCells
    Kontext "ZellenEinfuegen"
    Call DialogTest ( ZellenEinfuegen )
    ZellenEinfuegen.Cancel

    call hCloseDocument

endcase
'
'-----------------------------------------------------------
'
testcase tInsertRows

    Call  hNewDocument

    InsertRowsCalc
    Kontext
    DocumentCalc.TypeKeys "<Return>"

    Call hCloseDocument

endcase
'
'-----------------------------------------------------------
'
testcase tInsertColumns

    Call  hNewDocument
    InsertColumnsCalc
    Kontext
    DocumentCalc.TypeKeys "<Return>"

    Call hCloseDocument

endcase
'
'---------------------------------------------------------------------------
'
testcase tInsertTable

    Call  hNewDocument

    InsertSheetCalc
    Kontext "TabelleEinfuegenCalc"
    DialogTest2 ( TabelleEinfuegenCalc, 1  )
    AusDateiErstellen.Check
    DialogTest2 ( TabelleEinfuegenCalc, 2  )
    Neuerstellen.check
    TabelleEinfuegenCalc.Cancel

    Call hCloseDocument

endcase
'
'---------------------------------------------------------------------------
'
testcase tInsertFunction
    Call  hNewDocument

    InsertFunction
    Kontext "Funktionsautopilot"
      dim functionCount as integer
      dim functionIndex as integer
      
      functionCount = Funktion.getItemCount
      
      for functionIndex = 1 To functionCount
        Kategorie.Select(2)
        Funktion.Select(functionIndex)
        sleep 1
        call DialogTest2 ( Funktionsautopilot,1 )
      next functionIndex
      for functionIndex = 1 To functionCount
        Kategorie.Select(2)
        Funktion.Select(functionIndex)
        Weiter.Click
        call DialogTest2 ( Funktionsautopilot,2 )
        Formel.typekeys "<MOD1 A><DELETE>", true
      next functionIndex
      
    Kontext "FunktionsautopilotTabControl"
      FunktionsautopilotTabControl.setpage TabFunktionsautopilotStruktur
    Kontext "Funktionsautopilot"
      call DialogTest2 ( FunktionsAutopilot,3 )
      Funktionsautopilot.Cancel

    Call hCloseDocument
endcase
'
'---------------------------------------------------------------------------
'
testcase tInsertFunctionList

  dim categoryCount as Integer
  dim categoryIndex as Integer
  dim listLength as Integer
  dim listIndex as Integer
  call hNewDocument

  Kontext "FunctionsCalc"
  if FunctionsCalc.Exists(2) then
    printlog "Functions List was already open"
  else
    InsertFunctionList
    printlog "Functions list will now be invoked"
  end if
  
  Kontext "FunctionsCalc"
  
    if FunctionsCalc.IsDocked then
      printlog "Found Functions docked - now undocking"
      FunctionsCalc.Undock
      sleep 2
    else
      printlog "Functions was already undocked"
    end if
    
    categoryCount = Category.GetItemCount
    printlog "Categories: " & categoryCount 
    
    for categoryIndex = 1 to categoryCount
      Category.Select(categoryIndex)
      listlength = FunctionList.GetItemCount
      printlog "There are: " & listLength & " Items in category: " & Category.GetSelText
      for listIndex = 1 to listlength
        FunctionList.Select(listIndex)
        call Dialogtest ( FunctionsCalc )
      next listIndex
    next categoryIndex  
    
    FunctionsCalc.Dock
    InsertFunctionList
  
  call hCloseDocument

endcase   
'
'---------------------------------------------------------------------------
'
testcase tInsertNameDefine

      Call  hNewDocument

      InsertNamesDefine
      Kontext "NamenFestlegen"
      DialogTest ( NamenFestlegen )
      Zusaetze.Click
      NamenFestlegen.Cancel

      Call hCloseDocument

endcase
'
'---------------------------------------------------------------------------
'
testcase tInsertNameInsert

    Call  hNewDocument

    InsertNamesInsert
    Kontext "NamenEinfuegen"
    Call DialogTest ( NamenEinfuegen )
    NamenEinfuegen.Cancel

    Call hCloseDocument

endcase
'
'---------------------------------------------------------------------------
'
testcase tInsertNameCreate

    Call  hNewDocument

    InsertNameCreate
    Kontext "NamenErzeugen"
    DialogTest ( NamenErzeugen )
    NamenErzeugen.Cancel

    Call hCloseDocument

endcase
'
'---------------------------------------------------------------------------
'
testcase tInsertNameLabels

    Call  hNewDocument

    InsertNamesLabels
    Kontext "BeschriftungsbereichFestlegen"
    DialogTest ( BeschriftungsbereichFestlegen )
    BeschriftungsbereichFestlegen.Cancel

    Call hCloseDocument

endcase
'
'---------------------------------------------------------------------------
'
testcase tInsertNote

    Call  hNewDocument

    InsertNoteCalc
    Kontext
    DocumentCalc.TypeKeys "Energie"
    DocumentCalc.MouseDoubleClick 50,50

    Call hCloseDocument

endcase
'
'---------------------------------------------------------------------------
'
testcase tInsertSpecialCharacter

    Call  hNewDocument

    InsertSpecialCharacterCalc
    Kontext "Sonderzeichen"
    DialogTest ( Sonderzeichen )
    Sonderzeichen.Cancel

    Call hCloseDocument

endcase
'
'-----------------------------------------------------------
'
testcase tInsertGraphicFromFile

    Call  hNewDocument

    InsertGraphicsFromFile
    Kontext "GrafikEinfuegenDlg"
    Link.Check
    Preview.Check
    Dateiname.Settext convertpath(gTesttoolpath + "global\input\graf_inp\krokodil.wmf")
    Oeffnen.click

    Call hCloseDocument

endcase
'
'---------------------------------------------------------------------------
'
testcase tInsertChart

    Call  hNewDocument

    InsertChartCalc
    Kontext "AutoFormatDiagrammBeginn"
    'Call DialogTest ( AutoformatDiagrammBeginn )
    Weiter.Click
    Kontext "AutoFormatDiagramm2"
    'Call DialogTest2 ( AutoformatDiagramm2,1 )
    Weiter.Click
    Kontext "AutoFormatDiagramm3"
    'Call DialogTest2 ( AutoformatDiagramm3,2 )
    Weiter.Click
    Kontext "AutoFormatDiagramm4"
    'Call DialogTest2 ( AutoformatDiagramm4,3 )
    AutoformatDiagramm4.Cancel

    Call hCloseDocument

endcase
'
'-----------------------------------------------------------
'
testcase tInsertFormula

    Call  hNewDocument

    InsertObjectFormulaCalc
    Kontext "DocumentCalc"
    DocumentCalc.MouseDoubleClick 50,50

    Call hCloseDocument

endcase
'
'-----------------------------------------------------------
'
testcase tInsertFrame

    Call  hNewDocument

    InsertFloatingFrame
    Kontext "TabEigenschaften"
    Dialogtest (TabEigenschaften)
    TabEigenschaften.Cancel

    Call hCloseDocument

endcase
'
'---------------------------------------------------------------------------
'
testcase tInsertObjectOLE

    call hNewDocument

    InsertObjectOLEObjekt
    Kontext "OLEObjektEinfuegen"
    if Objekttyp.getitemcount < 0 then warnlog "There are no OLE-Objects in the listbox"
    NeuErstellen.Check
    Call DialogTest2 (OLEObjektEinfuegen, 1)
    AusDateierstellen.Check
    Call DialogTest2 (OLEObjektEinfuegen, 2)
    OLEObjektEinfuegen.Cancel

    call hCloseDocument

endcase
'
'---------------------------------------------------------------------------
'
testcase tInsertObjectPlugin

    call hNewDocument

    InsertObjectPlugIn
    Kontext "PlugInEinfuegen"
    Call DialogTest (PlugInEinfuegen)
    DurchSuchen.Click
    Kontext "OeffnenDLG"
    UebergeordneterOrdner.click
    Standard.click
    OeffnenDlg.Cancel
    Kontext "PluginEinfuegen"
    PlugInEinfuegen.Cancel

    call hCloseDocument

endcase
'
'---------------------------------------------------------------------------
'
testcase tInsertObjectApplet

    call hNewDocument

    InsertObjectApplet
    Kontext "AppletEinfuegen"
    Call DialogTest (AppletEinfuegen)
    Suchen.Click
    Kontext "OeffnenDLG"
    call Dialogtest (OeffnenDlg)
    OeffnenDLG.Cancel
    Kontext "AppletEinfuegen"
    AppletEinfuegen.Cancel

    call hCloseDocument

endcase
'
'---------------------------------------------------------------------------
'
testcase tInsertExternalData

        call hNewDocument

        InsertExternalDataSource
        Kontext "ExternalData"
        FileChoose.Click
        Kontext "OeffnenDlg"
        OeffnenDlg.close
        Kontext "ExternalData"
        ExternalData.close

        call hCloseDocument

endcase

