'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: graph_ex.inc,v $
'*
'*  $Revision: 1.5 $
'*
'*  last change: $Author: jsk $ $Date: 2003/04/22 08:04:42 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/******************************************************************************
'*
'* owner : joerg.skottke@sun.com
'*
'* short description : Graphic export (3rd part if first.bas)
'*
'*******************************************************************************
'**
' #1 tGraphicExport           ' save a graphic with all export-filters in draw
' #1 tImpressAsHTMLExport     ' export a impress-document as HTML-page
' #0 callExport               ' ---
' #0 ExFilterCountCompare     ' ---
'**
'\******************************************************************************

testcase tGraphicExport
   Dim Last1 , Last2 as String
'///tGraphicExport: Graphic-Export-Testscript in Draw
   Dim i, j, k, Zaehler, ExZaehler, SeiteZaehler as Integer
   Dim ExPath, OutputGrafik as String
   Dim Liste( 30 ) as String

   gApplication = "DRAW"
'///All files will be saved in <b><i>StarOfficePath</i>/user/work/exp</b>
   ExPath = ConvertPath (gOfficePath + "user\work\exp\" )
   OutputGrafik = ExPath & "expo"
   printlog "Create the export-dir for the graphics ( " + ExPath + " )"
   try
      app.mkDir ( ExPath )
      ExZaehler = GetFileList ( ExPath , "*.*" , Liste() )
      if ExZaehler <> 0 then
         printlog "The export-dir exists. The test want to delete all Files ( " + ExZaehler + " )!"
         if KillFileList ( Liste() ) = FALSE then
            warnlog "Not all files can be deleted. " + ListCount ( Liste() ) + " files exists!"
         end if
      end if
   catch
      warnlog "An error at creating the export-dir, the test ends!"
      goto endsub
   endcatch
'///+<ul><li>open a new Draw document</li>
   call hNewDocument
'///+<li>Insert a BMP image file as graphic to use it for the export (<b><i>TesttoolPath</i>/global/input/graf_inp/desp.bmp</b>)
   call hGrafikEinfuegen ( gTesttoolPath + "global\input\graf_inp\desp.bmp" )
   Kontext "DocumentDraw"
'///check all export-filternames -&gt; the 18 names should be:
'///+<ol><li><i>HTML document ( .... )</i> -&gt; This filtername is depends on the language; it has to be translated</li>
'///+<li><i>BMP - Windows Bitmap</i></li>
'///+<li><i>EMF - Enhanced Metafile</i></li>
'///+<li><i>EPS - Encapsulated PostScript</i></li>
'///+<li><i>GIF - Graphics Interchange Format</i></li>
'///+<li><i>JPEG - Joint Photographic Experts Group</i></li>
'///+<li><i>MET - OS/2 Metafile</i></li>
'///+<li><i>PBM - Portable Bitmap</i></li>
'///+<li><i>PCT - Mac Pict</i></li>
'///+<li><i>PGM - Portable Graymap</i></li>
'///+<li><i>PNG - Portable Network Graphic</i></li>
'///+<li><i>PPM - Portable Pixelmap</i></li>
'///+<li><i>RAS - Sun Raster Image</i></li>
'///+<li><i>SVG - Scalable Vector Graphics</i></li>
'///+<li><i>SVM - StarView Metafile</i></li>
'///+<li><i>TIFF - Tagged Image File Format</i></li>
'///+<li><i>WMF - Windows Metafile</i></li>
'///+<li><i>XPM - X PixMap</i></li>
'///+<li><i>Macromedia Flash (SWF) (.swf)</i></li>
'///+<li><i>PDF - Portable Document Format (.pdf)</i></li></ol>
   call ExFilterCountCompare                           ' filter comparison-routine
   printlog Chr(13) + "The export :"
'///Export-Details:
'///+<ul><li>file / export</li>
'///+<li>select the filtername and check <i>Selection</i></li>
'///+<li>click on <i>save</i></li></ul>
'JPG
'///Details for each filter:
'///+<ul><li>JPG (export 3 times)
'///+<ul><li><i>True Colors</i> =&gt; check; <i>Quality</i> =&gt; to max</li>
'///+<li><i>Grayscale</i> =&gt; check; <i>Quality</i> =&gt; to default
'///+<li><i>True Colors</i> =&gt; check</li></ul></li>
   for i=1 to 3
      if callExport (OutputGrafik , "JPEG - Joint Photographic Experts Group (.jpg;.jpeg;.jfif;.jif;.jpe)" ) = TRUE then
         Kontext "JpegOptionen"
         if JpegOptionen.Exists(2) then
            DialogTest(JpegOptionen)
            select case i
               case 1 : Echtfarben.Check
                        Last1 = Qualitaet.GetText
                        Qualitaet.ToMax
                        printlog "     'True Colors' and 'Quality' is " + Qualitaet.GetText
               case 2 : Graustufen.Check
                        Qualitaet.SetText Last1
                        printlog "     Grayscale"
               case 3 : Echtfarben.Check
                        printlog "     True Colors"
            end select
            sleep 1
            JpegOptionen.Ok
         else
            warnlog "No JPG/JPEG-Option-Dialog!"
            i=4
         end if

         sleep 2
         Kontext "Active"
         if Active.Exists(2) then
            warnlog "JPG-Exportfilter has a problem"
            Active.OK
         end if
     end if
   next i
'SVM
'///+<li>SVM (export 3 times)
'///+<ul><li><i>Size</i> =&gt; check; <i>Width</i> =&gt; 20x more; <i>Height</i> =&gt; 20x more</li>
'///+<li><i>Size</i> =&gt; check; <i>Width</i> =&gt; default; <i>Height</i> =&gt; default</li>
'///+<li><i>Original</i> =&gt; check</li></ul></li>
   for i=1 to 3
      if callExport (OutputGrafik , "SVM - StarView Metafile (.svm)" ) = TRUE then
         Kontext "SVMOptionen"
         if SVMOptionen.Exists (2) then
            DialogTest(SVMOptionen)
            select case i
               case 1 : Groesse.Check
                        Last1 = Breite.GetText
                        Last2 = Hoehe.GetText
                        Breite.More 20
                        Hoehe.Less 20
                        printlog "     Sizes : Widht = " + Breite.GetText + "  High = " + Hoehe.GetText
               case 2 : Groesse.Check
                        Breite.SetText Last1
                        Hoehe.SetText Last2
                        printlog "     Sizes with default-settings"
               case 3 : Original.Check
                        printlog "     Original"
            end select
            Sleep 1
            SVMOptionen.Ok
         else
            warnlog "No SVM-Option-Dialog!"
            i=4
         end if

         sleep 2
         Kontext "Active"
         if Active.Exists(2) then
            warnlog "SVM-Exportfilter has a problem"
            Active.OK
         end if
      end if
   next i
'EMF
'///+-<li>EMF (export 3 times):
'///+<ul><li><i>Size</i> =&gt; check; <i>Width</i> =&gt; 20x more; <i>Height</i> =&gt; 20x more</li>
'///+<li><i>Size</i> =&gt; check; <i>Width</i> =&gt; default; <i>Height</i> =&gt; default</li>
'///+<li><i>Original</i> =&gt; check</li></ul></li>
   for i=1 to 3
      if callExport (OutputGrafik , "EMF - Enhanced Metafile (.emf)" ) = TRUE then
         Kontext "SVMOptionen"
         if SVMOptionen.Exists (2) then
            DialogTest(SVMOptionen)
            select case i
               case 1 : Groesse.Check
                        Last1 = Breite.GetText
                        Last2 = Hoehe.GetText
                        Breite.More 20
                        Hoehe.Less 20
                        printlog "     Sizes : Widht = " + Breite.GetText + "  High = " + Hoehe.GetText
               case 2 : Groesse.Check
                        Breite.SetText Last1
                        Hoehe.SetText Last2
                        printlog "     Sizes with default-settings"
               case 3 : Original.Check
                        printlog "     Original"
            end select
            Sleep 1
            SVMOptionen.Ok
         else
            warnlog "No EMF-Option-Dialog!"
            i=4
         end if

         sleep 2
         Kontext "Active"
         if Active.Exists(2) then
            warnlog "EMF-Exportfilter has a problem"
            Active.OK
         end if
      end if
   next i
'WMF
'///+<li>WMF (export 3 times)
'///+<ul><li><i>Size</i> =&gt; check; <i>Width</i> =&gt; 20x more; <i>Height</i> =&gt; 20x more</li>
'///+<li><i>Size</i> =&gt; check; <i>Width</i> =&gt; default; <i>Height</i> =&gt; default</li>
'///+<li><i>Original</i> =&gt; check</li></ul></li>
   for i=1 to 3
      if callExport (OutputGrafik , "WMF - Windows Metafile (.wmf)" ) = TRUE then
         Kontext "WMFOptionen"
         if WMFOptionen.Exists (2) then
            DialogTest(WMFOptionen)
            select case i
               case 1 : Groesse.Check
                        Last1 = Breite.GetText
                        Last2 = Hoehe.GetText
                        Breite.More 20
                        Hoehe.Less 20
                        printlog "     Sizes : Widht = " + Breite.GetText + "  High = " + Hoehe.GetText
               case 2 : Groesse.Check
                        Breite.SetText Last1
                        Hoehe.SetText Last2
                        printlog "     Sizes with default-settings"
               case 3 : Original.Check
                        printlog "     Original"
            end select
            Sleep 1
            WMFOptionen.Ok
         else
            warnlog "No WMF-Option-Dialog!"
            i=4
         end if

         sleep 2
         Kontext "Active"
         if Active.Exists(2) then
            warnlog "WMF-Exportfilter has a problem"
            Active.OK
         end if
      end if
   next i
'BMP
'///+<li>BMP (export 4 times)
'///+<ul><li><i>Color Resolution</i> =&gt; select entry 4; <i>RLE coding</i> =&gt; check</li>
'///+<li><i>Color Resolution</i> =&gt; default; <i>RLE coding</i> =&gt; uncheck; <i>Resolution</i> =&gt; select entry 4</li>
'///+<li><i>Resolution</i> =&gt; default; <i>Size</i> =&gt; check; <i>Width</i> =&gt; 20x more; <i>Height</i> =&gt; 20x more</li>
'///+<li><i>Width</i> =&gt; default; <i>Height</i> =&gt; default; <i>Original</i> =&gt; check</li></ul></li>
   for i=1 to 4
      if callExport (OutputGrafik , "BMP - Windows Bitmap (.bmp)" ) = TRUE then
         Kontext "BMPOptionen"
         if BMPOptionen.Exists (2) then
            DialogTest(BMPOptionen)
            select case i
               case 1 : Last1 = Farbaufloesung.GetSelText
                        Farbaufloesung.Select 4
                        RLEKodierung.Check
                        printlog "     Color resolution " + Farbaufloesung.GetSelText + " and RLE-coding is checked!"
               case 2 : if RLEKodierung.IsEnabled then RLEKodierung.UnCheck
                        if iSprache <> 07 then Farbaufloesung.Select Last1
                        Aufloesung.Check
                        Last2 = DPI.GetSelText
                        DPI.select 4
                        printlog "     Resolution with " + DPI.GetSelText
               case 3 : DPI.Select Last2
                        Groesse.Check
                        Last1 = Breite.GetText
                        Last2 =  Hoehe.GetText
                        Breite.Less 20
                        Hoehe.More 30
                        printlog "     Sizes : Widht = " + Breite.GetText + "  High = " + Hoehe.GetText
               case 4 : Breite.SetText Last1
                        Hoehe.SetText Last2
                        Original.Check
                        printlog "     Original"
            end select
            Sleep 1
            BMPOptionen.Ok
         else
            warnlog "No BMP-Option-Dialog!"
            i=5
         end if

         sleep 2
         Kontext "Active"
         if Active.Exists(2) then
            warnlog "BMP-Exportfilter has a problem"
            Active.OK
         end if
      end if
   next i
'GIF
'///+<li>GIF (export 2 times)
'///+<ul><li><i>Interlaced</i> =&gt; uncheck; <i>Save transparency</i> =&gt; uncheck</li>
'///+<li><i>Interlaced</i> =&gt; check; <i>Save transparency</i> =&gt; check</li></ul></li>
   for i=1 to 2
      if callExport (OutputGrafik , "GIF - Graphics Interchange Format (.gif)" ) = TRUE then
         Kontext "GIFOptionen"
         if GIFOptionen.Exists (2) then
            DialogTest(GIFOptionen)
            select case i
               case 1 : Interlace.Uncheck
                        TransparentSpeichern.UnCheck
                        printlog "     'interlaced' + 'save transparent' are not checked"
               case 2 : Interlace.Check
                        TransparentSpeichern.Check
                        printlog "     'interlaced' + 'save transparent' are checked"
            end select
            Sleep 1
            GIFOptionen.Ok
         else
            warnlog "No GIF-Option-Dialog!"
            i=3
         end if

         Sleep 2
         Kontext "Active"
         if Active.Exists(2) then
            warnlog "GIF-Exportfilter has a problem"
            Active.OK
         end if
      end if
   next i
'PCT
'///+<li>PCT (export 3 times)
'///+<ul><li><i>Size</i> =&gt; check; <i>Width</i> =&gt; 20x less; <i>Height</i> =&gt; 30x more</li>
'///+<li><i>Size</i> =&gt; check; <i>Width</i> =&gt; default; <i>Height</i> =&gt; default</li>
'///+<li><i>Original</i> =&gt; check</li></ul></li>
   for i=1 to 3
      if callExport (OutputGrafik , "PCT - Mac Pict (.pct)" ) = TRUE then
         Kontext "PICTOptionen"
         if PICTOptionen.Exists (2) then
            DialogTest(PICTOptionen)
            select case i
               case 1 : Groesse.Check
                        Last1 = Breite.GetText
                        Last2 = Hoehe.GetText
                        Breite.Less 20
                        Hoehe.More 30
                        printlog "     Sizes : Widht = " + Breite.GetText + "  High = " + Hoehe.GetText
               case 2 : Groesse.Check
                        Breite.SetText Last1
                        Hoehe.SetText Last2
                        printlog "     Sizes with default-settings"
               case 3 : Original.Check
                        printlog "     Original"
            end select
            Sleep 1
            PICTOptionen.Ok
         else
            warnlog "No PCT-Option-Dialog!"
            i=4
         end if

         sleep 2
         Kontext "Active"
         if Active.Exists(2) then
            warnlog "PCT-Exportfilter has a problem"
            Active.OK
         end if
     end if
  next i
'MET
'///+<li>MET (export 3 times)
'///+<ul><li><i>Size</i> =&gt; check; <i>Width</i> =&gt; 20x less; <i>Height</i> =&gt; 30x more</li>
'///+<li><i>Size</i> =&gt; check; <i>Width</i> =&gt; default; <i>Height</i> =&gt; default</li>
'///+<li><i>Original</i> =&gt; check</li></ul></li>
   for i=1 to 3
      if callExport (OutputGrafik , "MET - OS/2 Metafile (.met)" ) = TRUE then
         Kontext "METOptionen"
         if METOptionen.Exists (2) then
            DialogTest(METOptionen)
            select case i
               case 1 : Groesse.Check
                        Last1 = Breite.GetText
                        Last2 = Hoehe.GetText
                        Breite.Less 20
                        Hoehe.More 30
                        printlog "     Sizes : Widht = " + Breite.GetText + "  High = " + Hoehe.GetText
               case 2 : Groesse.Check
                        Breite.SetText Last1
                        Hoehe.SetText Last2
                        printlog "     Sizes with default-settings"
               case 3 : Original.Check
                        printlog "     Original"
            end select
            Sleep 1
            METOptionen.Ok
         else
            warnlog "No MET-Option-Dialog!"
            i=4
         end if

         sleep 2
         Kontext "Active"
         if Active.Exists(2) then
            warnlog "MET-Exportfilter has a problem"
            Active.OK
         end if
      end if
   next i
'PNG
'///+<li>PNG (export 2 times)
'///+<ul><li><i>Compression</i> =&gt; 9; <i>Interlaced</i> =&gt; uncheck</li>
'///+<li><i>Compression</i> =&gt; default; <i>Interlaced</i> =&gt; check</li></ul></li>
   for i=1 to 2
      if callExport (OutputGrafik , "PNG - Portable Network Graphic (.png)" ) = TRUE then
         Kontext "PNGOptionen"
         if PNGOptionen.Exists (2) then
            DialogTest(PNGOptionen)
            select case i
               case 1 : Last1 = Kompression.GetText
                        Kompression.SetText "9"
                        Interlaced.UnCheck
                        printlog "     Compression to 9 und Interlaced unchecked"
               case 2 : Kompression.SetText Last1
                        Interlaced.Check
            end select
            Sleep 1
            PNGOptionen.Ok
         else
            warnlog "No PNG-Option-Dialog!"
            i=4
         end if

         sleep 2
         Kontext "Active"
         if Active.Exists(2) then
            warnlog "PNG-Exportfilter has a problem"
            Active.OK
         end if
      end if
   next i
'EPS
'///+<li>EPS (export 6 times)
'///+<ul><li><i>Image preview (TIFF)</i> =&gt; check</li>
'///+<li><i>Image preview (TIFF)</i> =&gt; uncheck; <i>Interchange (EPSI)</i> =&gt; check</li>
'///+<li><i>Interchange (EPSI)</i> =&gt; uncheck; <i>Level 1</i> =&gt; check</li>
'///+<li><i>Level 2</i> =&gt; check; <i>Color</i> =&gt; check</li>
'///+<li><i>Grayscale</i> =&gt; check; <i>LZW encoding</i> =&gt; check</li>
'///+<li><i>None</i> =&gt; check</li></ul></li>
   for i= 1 to 6
      if callExport (OutputGrafik , "EPS - Encapsulated PostScript (.eps)" ) = TRUE then
         Kontext "EPSOptionen"
         if EPSOptionen.Exists (2) then
            DialogTest(EPSOptionen)
            select case i
               case 1 : VorschauTIF.Check
                        printlog "     Tif-Preview, Level2, Grayscale, no Compression"
               case 2 : VorschauTIF.UnCheck
                        InterchangeEPSI.Check
                        printlog "     Interchange (EPSI), Level2, Grayscale, no Compression"
               case 3 : InterchangeEPSI.UnCheck
                        Level1.Check
                        printlog "     Level 1"
                        if Farbe.IsEnabled Then warnlog "Colors is not disabled"
                        if Graustufen.IsEnabled Then warnlog "Grayscale is not disabled"
                        if LZWKodierung.IsEnabled Then warnlog "LZW-Coding is not disabled"
                        if Keine.IsEnabled Then warnlog "None has to be enabled because, because Level1 is selcted."
               case 4 : Level2.Check
                        Farbe.Check
                        printlog "     Level 2, Color, no compression"
               case 5 : Graustufen.Check
                        LZWKodierung.Check
                        printlog "     Level2, Grayscale, LZW Coding"
               case 6 : Graustufen.Check
                        LZWKodierung.Check
                        printlog "     Level2, Grayscale, None"
            end select
            sleep 1
            EPSOptionen.OK
         else
            warnlog "No EPS-Option-Dialog!"
            i=6
         end if

         sleep 2
         Kontext "Active"
         if Active.Exists(2) then
            printlog "active: '" + active.gettext + "'"
            warnlog "EPS-Exportfilter has a problem"
            Active.OK
         end if
      end if
   next i
'PBM
'///+<li>PBM (export 2 times)
'///+<ul><li><i>Binary</i> =&gt; check</li>
'///+<li><i>Text</i> =&gt; check</li></ul></li>
   for i= 1 to 2
      if callExport (OutputGrafik , "PBM - Portable Bitmap (.pbm)" ) = TRUE then
         Kontext "PBMOptionen"
         if PBMOptionen.Exists(2) then
            DialogTest(PBMOptionen)
            select case i
               case 1 : Binaer.Check
                        printlog "     Binary"
               case 2 : Ascii.Check
                        printlog "     Text"
            end select
            sleep 1
            PBMOptionen.OK
         else
            warnlog "No PBM-Option-Dialog!"
            i=3
         end if

         sleep 2
         Kontext "Active"
         if Active.Exists(2) then
            warnlog "PBM-Exportfilter has a problem"
            Active.OK
         end if
      end if
   next i
'PGM
'///+<li>PGM (export 2 times)
'///+<ul><li><i>Binary</i> =&gt; check</li>
'///+<li><i>Text</i> =&gt; check</li></ul></li>
   for i= 1 to 2
      if callExport (OutputGrafik , "PGM - Portable Graymap (.pgm)" ) = TRUE then
         Kontext "PGMOptionen"
         if PGMOptionen.Exists (2) then
            DialogTest(PGMOptionen)
            select case i
               case 1 : Binaer.Check
                        printlog "     Binary"
               case 2 : Ascii.Check
                        printlog "     Text"
            end select
            sleep 1
            PGMOptionen.OK
         else
            warnlog "No PGM-Option-Dialog!"
            i=3
         end if

         sleep 2
         Kontext "Active"
         if Active.Exists(2) then
            warnlog "PGM-Exportfilter has a problem"
            Active.OK
         end if
      end if
   next i
'PPM
'///+<li>PPM (export 2 times)
'///+<ul><li><i>Binary</i> =&gt; check</li>
'///+<li><i>Text</i> =&gt; check</li></ul></li>
   for i= 1 to 2
      if callExport (OutputGrafik , "PPM - Portable Pixelmap (.ppm)" ) = TRUE then
         sleep 1
         Kontext "PPMOptionen"
         sleep 1
         if PPMOptionen.Exists (2) then
            DialogTest(PPMOptionen)
            select case i
               case 1 : Binaer.Check
                        printlog "     Binary"
               case 2 : Ascii.Check
                        printlog "     Text"
            end select
            sleep 1
            PPMOptionen.OK
            sleep 1
         else
            warnlog "No PPM-Option-Dialog!"
            i=3
         end if
         sleep 2
         Kontext "Active"
         if Active.Exists(2) then
            warnlog "PPM-Exportfilter has a problem"
            Active.OK
         end if
      end if
   next i
'RAS
'///+<li>RAS (only onece because it has not an export-dialog)</li>
   callExport (OutputGrafik , "RAS - Sun Raster Image (.ras)" )
   Kontext "Active"
   if Active.Exists(2) then
      warnlog "RAS-Exportfilter has a problem"
      Active.OK
   end if
'TIF
'///+<li>TIF (only once because it has not an export-dialog)</li>
   callExport (OutputGrafik , "TIFF - Tagged Image File Format (.tif;.tiff)" )
   Kontext "Active"
   if Active.Exists(2) then
      warnlog "TIF-Exportfilter has a problem"
      Active.OK
   end if
'XPM
'///+<li>XPM (only once because it has not an export-dialog)</li>
   callExport (OutputGrafik , "XPM - X PixMap (.xpm)" )
   Kontext "Active"
   if Active.Exists(2) then
      warnlog "XPM-Exportfilter has a problem"
      Active.OK
   end if
'SVG
'///+<li>SVG (only once because it has not an export-dialog)</li>
   callExport (OutputGrafik , "SVG - Scalable Vector Graphics (.svg)" )
   Kontext "Active"
   if Active.Exists(2) then
      warnlog "SVG-Exportfilter has a problem"
      Active.OK
   end if
'SWF
'///+<li>SWF (only once because it has not an export-dialog)</li>
   callExport (OutputGrafik , "Macromedia Flash (SWF) (.swf)" )
   Kontext "Active"
   if Active.Exists(2) then
      warnlog "Macromedia Flash (SWF) has a problem"
      Active.OK
   end if
'PDF
'///+<li>PDF (export 3 times)
'///+<ul><li><i>Range</i> =&gt; check: <i>All</i>; <i>Pages</i> =&gt; 1; <i>Selection</i></li>
'///+<li><i>Compression</i> =&gt; check: <i>Screen optimized</i>; <i>Print...</i>; <i>Press...</i></li></ul></li>
   for i=1 to 3
      if callExport (OutputGrafik , "PDF - Portable Document Format (.pdf)" ) = TRUE then
         Kontext "PDFOptions"
         if PDFOptions.Exists (2) then
            DialogTest(PDFOptions)
            select case i
               case 1 : RangeAll.Check
                        ScreenOptimized.Check
                        printlog "     RangeAll / ScreenOptimized"
               case 2 : RangePages.Check
                           RangePagesEdit.SetText "1"
                        PrintOptimized.Check
                        printlog "     RangePages:1 / PrintOptimized"
               case 3 : try
                           RangeSelection.Check()
                           PressOptimized.Check()
                           printlog "     RangeSelection / PressOptimized"
                        catch
                           warnlog( "Range selection is inactive #i12865" )
                        endcatch
            end select
            Sleep( 1 )
            PDFOptions.Ok()
         else
            warnlog "No PDF-Option-Dialog!"
            i=4
         end if

         sleep 2
         Kontext "Active"
         if Active.Exists(2) then
            warnlog "PDF-Exportfilter has a problem"
            Active.OK
         end if
      end if
   next i
   call hCloseDocument
endcase

'-------------------------------------------------------------------------

testcase tImpressAsHTMLExport
'///tImpressAsHTMLExport: HTML export-test for Impress documents.

  Dim Autor1, Adresse1 as String
  Dim IsListe ( 200 ) as String
  Dim OutputPath1, OutputPath2, OutputPath3 as String
  dim sTemp as string
  dim i as integer

   gApplication = "IMPRESS"

'///output-path is <b><i>OfficePath</i>/user/work/html</b>
   OutputPath1 = (ConvertPath (gOfficePath + "user\work\html\"))
   OutputPath2 = (ConvertPath (gOfficePath + "user\work\html\asp\"))
   OutputPath3 = (ConvertPath (gOfficePath + "user\work\html\perl\"))

   if app.Dir (OutputPath1) = "" then
      printlog " - create HTML-Export-dir ( ..\user\work\html )"
      app.mkDir ( OutputPath1 )
   else
      GetFileList (OutputPath1 , "*.*" , IsListe() )
'        print "HTML-Verzeichnis : " + ListCount ( IsListe() )
      if ListCount ( IsListe() ) <> 0 then
         printlog " - delete all files in existing export-dir"
         KillFileList (IsListe())
         sleep 2
      end if
   end if

   if app.Dir (OutputPath2) = "" then
      printlog " - create ASP-Export-dir ( ..\user\work\html\asp)"
      app.mkDir ( OutputPath2 )
   else
      GetFileList (OutputPath2 , "*.*" , IsListe() )
'        print "asp-directory : " + ListCount ( IsListe() )
      if ListCount ( IsListe() ) <> 0 then
         printlog " - delete all files in existing asp-dir"
         KillFileList (IsListe())
         sleep 2
      end if
   end if

   if app.Dir (OutputPath3) = "" then
      printlog " - create Perl-Export-dir ( ..\user\work\html\perl )"
      app.mkDir ( OutputPath3 )
   else
      GetFileList (OutputPath3 , "*.*" , IsListe() )
'        print "perl-directory : " + ListCount ( IsListe() )
      if ListCount ( IsListe() ) <> 0 then
         printlog " - delete all files in existing perl-dir"
         KillFileList (IsListe())
         sleep 2
      end if
   end if
  Sleep 3

'///<ul><li>open a new Impress document</li>
  call hNewDocument
  printlog "open an impress-document"
  sleep 3
'///+<li>Insert a small testbox with a short text</li>
  printlog " - insert a text-box"
  hTextrahmenErstellen ("This is a test script!",30,20,45,30)
  sleep 2
'///+<li>insert a rectangle</li>
  hRechteckErstellen ( 50,50,70,70 )
  sleep 3
  printlog " - export as HTML : " + OutputPath1 + "expo.html"
'///+<li>file/export</li>
'///+<li>select the WebPage-Fiter (it has to be translated)</li>
   i = instr(gHTMLFilter, "(")
   sTemp = left(gHTMLFilter, i-2)
  if bAsianLan = TRUE then
     if gApplication = "IMPRESS" then callExport ( OutputPath1 + "expo.html" , sTemp + " (StarSuite Impress) (.html;.htm)" )
     if gApplication = "DRAW"    then callExport ( OutputPath1 + "expo.html" , sTemp + " (StarSuite Draw) (.html;.htm)" )
  else 
     if gOOo then
        if gApplication = "IMPRESS" then callExport ( OutputPath1 + "expo.html" , sTemp + " (OpenOffice.org Impress) (.html;.htm)" )
        if gApplication = "DRAW"    then callExport ( OutputPath1 + "expo.html" , sTemp + " (OpenOffice.org Draw) (.html;.htm)" )
     else
        if gApplication = "IMPRESS" then callExport ( OutputPath1 + "expo.html" , sTemp + " (StarOffice Impress) (.html;.htm)" )
        if gApplication = "DRAW"    then callExport ( OutputPath1 + "expo.html" , sTemp + " (StarOffice Draw) (.html;.htm)" )
     end if
  end if

'///+<li><ol><li>1. Export page: <i>next</i> =&gt; click</li>
  Kontext "HTMLExport1"
     DialogTest(HTMLExport1)
  printlog "1. Exportpage"
  Weiter.Click
  sleep 1

'///+<li>Export page: <i>standard</i> =&gt; check; <i>next</i> =&gt; click</li>
  Kontext "HTMLExport2"
     DialogTest(HTMLExport2)
  printlog "2. Exportpage"
  Standard.Check
  sleep 1
  Weiter.Click
  sleep 1

'///+-<li>Export page: <i>JPG</i> =&gt; check; <i>Compression</i> =&gt; select 3; <i>Medium resolution</i> =&gt; check; <i>next</i> =&gt; click</li>
  Kontext "HTMLExport3"
     DialogTest(HTMLExport3)
  printlog "3. Exportpage"
  JPG.Check
  printlog " - choose JPG as Graphicformat "
  Kompressionswert.Select 3
  printlog "   compression is " + Kompressionswert.GetSelText
  if NiedrigeAufloesung.IsChecked Then
     printlog "   want to select 'middle resolution'"
     MittlereAufloesung.Check
     Weiter.Click
     Kontext "HTMLExport4"
     Zurueck.Click
     sleep 1
     Kontext "HTMLExport3"
     if Not MittlereAufloesung.IsChecked Then
        warnlog " - 'middle resolution' isn't saved, when go to next page"
        MittlereAufloesung.Check
     end if
  end if
  Weiter.Click
  sleep 1

'///+<li>Export page: <i>Homepage</i> =&gt; insert a dummy webpage (e.g. <i>www.sun.com</i>); <i>next</i> =&gt; click</li>
  Kontext "HTMLExport4"
     DialogTest(HTMLExport4)
  printlog "4. Exportpage"
  printlog " - choose some userdata"
  Autor1=Autor.GetText
  Adresse1=EMail.GetText
  Homepage.SetText "www.sun.com"
  Weiter.Click
  sleep 2

'///+<li>Export page: <i>Only text</i> =&gt; check; <i>next</i> =&gt; click</li>
  Kontext "HTMLExport5"
     DialogTest(HTMLExport5)
  printlog "5. Exportpage"
  sleep 5
  if NurText.IsChecked <> TRUE Then warnlog "- 'Only Text' must be checked by default!"
  printlog " - 'Nur Text' unchecken"
  Weiter.Click
  sleep 1

'///+<li>Export page: <i>use browser colors</i> =&gt; check; <i>create</i> =&gt; click</li></ol></li>
  Kontext "HTMLExport6"
     DialogTest(HTMLExport6)
  printlog "6. Exportseite"
  sleep 2
  if not BrowserFarben.IsChecked Then BrowserFarben.Check
  sleep 2
  HTMLExport6.OK
  sleep 5

'///+<li>HTML-design page: <i>Disigne name</i> =&gt; insert a fantasy name; click <i>OK</i></li>
  Kontext "HTMLDesign"
     DialogTest(HTMLDesign)
  printlog "HTML-Design"
  sleep 1
  Designname.SetText "Lem's Standard"
  HTMLDesign.OK

  Kontext "Active"
  if Active.Exists then Active.Yes
  sleep 5

'///+<li>check if the HTML file exists</li>
  if app.Dir ( OutputPath1 + "expo.html" ) = "" then
     warnlog "The saved file does not exists =&gt; BUG"
  end if

'///+<li>close the document</li></ul></li>
  call hCloseDocument
  sleep 1
endcase

'-------------------------------------------------------------------------

function callExport ( NaWieHeisstDuDenn as String , sFilter as String ) as Boolean
      callExport = TRUE

      printlog " *  " + sFilter

      try
         FileExport
      catch
         Sleep 10
         warnlog "It takes to much time to export the graphic. Please check the problem, maybe it is a bug!"
         FileExport
      endcatch

      Kontext "ExportierenDlg"

      try
         Dateityp.Select sFilter
      catch
         try
            Dateityp.Select "HTML Document"
            warnlog "'" + sFilter + "' is not correct translated! => Bug 95336"
         catch
            warnlog "'" + sFilter + "' is missing!"
            callExport = FALSE
            ExportierenDlg.Cancel
            exit function
         endcatch
      endcatch


      if (Instr( Left( sFilter, inStr( sFilter, "(" ) - 1 ), Left( gHTMLFilter, inStr( gHTMLFilter, "(" ) - 1 ) ) OR Instr( sFilter, "PDF" ) OR Instr( sFilter, "SWF") ) <> 0 then
         if Selektion.IsEnabled then warnlog "At '" + sFilter +"' Filter Selection' is activ -> BUG"
      else
         if Selektion.IsEnabled = FALSE then
            warnlog "Selection is disabled for normal grafik-filters => BUG"
         else
            Selektion.Check
         end if
      end if
      AutomatischeDateinamenserweiterung.Check
      Dateiname.SetText ( NaWieHeisstDuDenn )
      sleep 2
      Speichern.Click
      sleep 2
      Kontext "Active"
      if Active.Exists then 
         try
            Active.Yes
         catch
            warnlog "callExport:: active 'yes' failed for: '" + active.GetText + "'"
            Active.ok
         endcatch
      endif
      Sleep 3
end function

'-------------------------------------------------------------------------

sub ExFilterCountCompare
  Dim i as Integer, j as Integer
  Dim iCounter as Integer
  Dim sList1 ( 25 ) as String, sList2 ( 25 ) as String
  dim sTemp as string

   printlog "Comparison of the filterlist"
   try
      FileExport
   catch
      Sleep 10
      warnlog "It takes to much time to call the export-dialog!"
      FileExport
   endcatch

   Kontext "ExportierenDlg"
   iCounter = Dateityp.GetItemCount
   for i=1 to iCounter
      sList1 (i) = DateiTyp.GetItemText (i)
   next i

   ' create the reference list (sList2), to what we compare what we have found in the office (sList)
   sList2(0)  = 0
   ' CREATE html-filter
   i = instr(gHTMLFilter, "(")
   sTemp = left(gHTMLFilter, i-2)
   if bAsianLan = TRUE then
      if gApplication = "DRAW"    then sTemp = sTemp + " (StarSuite Draw)"
      if gApplication = "IMPRESS" then sTemp = sTemp + " (StarSuite Impress)"
   else 
      if gOOo then
         if gApplication = "DRAW"    then sTemp = sTemp + " (OpenOffice.org Draw)"
         if gApplication = "IMPRESS" then sTemp = sTemp + " (OpenOffice.org Impress)"
      else
         if gApplication = "DRAW"    then sTemp = sTemp + " (StarOffice Draw)"
         if gApplication = "IMPRESS" then sTemp = sTemp + " (StarOffice Impress)"
      end if
   end if
   sTemp = sTemp + right(gHTMLFilter, len(gHTMLFilter)-i+2)
   ListAppend (sList2(), sTemp)
   ListAppend (sList2(), "BMP - Windows Bitmap (.bmp)")
   ListAppend (sList2(), "EMF - Enhanced Metafile (.emf)")
   ListAppend (sList2(), "EPS - Encapsulated PostScript (.eps)")
   ListAppend (sList2(), "GIF - Graphics Interchange Format (.gif)")
   ListAppend (sList2(), "JPEG - Joint Photographic Experts Group (.jpg;.jpeg;.jfif;.jif;.jpe)")
   ListAppend (sList2(), "MET - OS/2 Metafile (.met)")
   ListAppend (sList2(), "PBM - Portable Bitmap (.pbm)")
   ListAppend (sList2(), "PCT - Mac Pict (.pct)")
   ListAppend (sList2(), "PGM - Portable Graymap (.pgm)")
   ListAppend (sList2(), "PNG - Portable Network Graphic (.png)")
   ListAppend (sList2(), "PPM - Portable Pixelmap (.ppm)")
   ListAppend (sList2(), "RAS - Sun Raster Image (.ras)")
   ListAppend (sList2(), "SVG - Scalable Vector Graphics (.svg)")
   ListAppend (sList2(), "SVM - StarView Metafile (.svm)")
   ListAppend (sList2(), "TIFF - Tagged Image File Format (.tif;.tiff)")
   ListAppend (sList2(), "WMF - Windows Metafile (.wmf)")
   ListAppend (sList2(), "XPM - X PixMap (.xpm)")
   ListAppend (sList2(), "------------------------------------------")
   ListAppend (sList2(), "PDF - Portable Document Format (.pdf)")
   ListAppend (sList2(), "Macromedia Flash (SWF) (.swf)")


   for i=1 to iCounter
      for j=1 to ListCount ( sList2() )
         if sList1(i) = sList2(j) then
            ListDeleteString ( sList2(), sList1(i) )
            j=2000
         end if
      next j
      if j < 2000 then warnlog "This filter is new : '" + sList1(i) + "'"
   next i

   iCounter = ListCount ( sList2 () )
   if iCounter > 0 then
      for i=1 to iCounter
         warnlog "This filter is missing : " + sList2 (i)
      next i
   end if

   ExportierenDlg.Cancel
end sub

'-------------------------------------------------------------------------
